## vdr-plugin-xineliboutput 2.2.0+git20211212

=== debian/changelog ===
vdr-plugin-xineliboutput (2.2.0+git20211212-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing Breaks/Replaces for correction of xineliboutput-fbfe desktop
    icon. Closes: #1034915

 -- Andreas Metzler <ametzler@debian.org>  Thu, 18 May 2023 13:40:36 +0200

vdr-plugin-xineliboutput (2.2.0+git20211212-2.1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #1003760)
    + Add --pkg-config flag to configure.
    + Pass all build tools to configure.
    + Build mpg2c.c with the build architecture compiler.

  [ Tobias Grimm ]
  * Fix installation of desktop icons

 -- Tobias Grimm <etobi@debian.org>  Tue, 25 Jan 2022 19:06:50 +0100

vdr-plugin-xineliboutput (2.2.0+git20211212-2) unstable; urgency=medium

  [ Tobias Grimm ]
  * Build-depend on vdr 2.6.0 and update standards version to 4.6.0
  * Remove Thomas Günther and Thomas Schmidt from uploaders
  * Make sure CPPFLAGS are used

  [ Helmut Grohne ]
  * Build verbosely by default. (Closes: #1003413)

 -- Tobias Grimm <etobi@debian.org>  Wed, 12 Jan 2022 19:24:28 +0100

vdr-plugin-xineliboutput (2.2.0+git20211212-1) unstable; urgency=medium

  * New Upstream Snapshot (commit f4df32) (Closes: #951921)
  * Depend on debhelper-compat (= 13)
  * Build-Depend on vdr >= 2.4.7 (Closes: #984393)
  * Fix installation files
  * Install vdr-wlfe Wayland frontend
  * Disable dbus-glib-1 (Closes: #955962)

 -- Tobias Grimm <etobi@debian.org>  Sun, 12 Dec 2021 19:27:25 +0100

=== debian/control ===
Source: vdr-plugin-xineliboutput
Section: video
Priority: optional
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Tobias Grimm <etobi@debian.org>
Build-Depends: debhelper-compat (= 13), gettext, pkg-config, txt2man,
 vdr-dev (>= 2.6.0),
 x11proto-core-dev,
 libxine2-dev,
 libavutil-dev,
 libxext-dev,
 libjpeg-dev,
 libx11-dev,
 libextractor-dev,
 libxinerama-dev,
 libxrender-dev,
 libvdpau-dev,
 freeglut3-dev,
 libcec-dev,
 libwayland-dev
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-xineliboutput.git
Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-xineliboutput
Homepage: http://sourceforge.net/projects/xineliboutput

Package: vdr-plugin-xineliboutput
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: VDR plugin for Xine based sofdevice frontends
 This VDR plugin provides an audio, video and control stream, that several
 libxine based local and remote frontends can use.

Package: libxineliboutput-fbfe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vdr-plugin-xineliboutput (= ${binary:Version}), libxine2-xvdr (= ${binary:Version}), libxine2-console
Description: Local framebuffer frontend for the xineliboutput plugin
 The xineliboutput vdr plugin requires this library to provide the built-in
 local frontend for framebuffer devices.

Package: libxineliboutput-sxfe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vdr-plugin-xineliboutput (= ${binary:Version}), libxine2-xvdr (= ${binary:Version}), libxine2-x, dbus
Description: Local X-Server frontend for the xineliboutput plugin
 The xineliboutput vdr plugin requires this library to provide the built-in
 local frontend for X, Xv or XvMC window systems.

Package: libxineliboutput-wlfe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vdr-plugin-xineliboutput (= ${binary:Version}), libxine2-xvdr (= ${binary:Version}), libxine2-x, dbus
Description: Local Waylend frontend for the xineliboutput plugin
 The xineliboutput vdr plugin requires this library to provide the built-in
 local frontend for Wayland window systems.

Package: xineliboutput-fbfe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libxine2-xvdr (= ${binary:Version}), libxine2-console
Breaks: xineliboutput-sxfe (<< 2.2.0+git20211212-2.1)
Replaces: xineliboutput-sxfe (<< 2.2.0+git20211212-2.1)
Description: Remote Framebuffer frontend for vdr-plugin-xineliboutput
 This frambuffer remote frontend plays back streams provided by
 vdr-plugin-xineliboutput.

Package: xineliboutput-sxfe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libxine2-xvdr (= ${binary:Version}), libxine2-x, dbus
Description: Remote X-Server frontend for vdr-plugin-xineliboutput
 This X/Xv/XvMc remote frontend plays back streams provided by
 vdr-plugin-xineliboutput.

Package: xineliboutput-wlfe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libxine2-xvdr (= ${binary:Version}), libxine2-x, dbus
Description: Remote X-Server frontend for vdr-plugin-xineliboutput
 This Wayland remote frontend plays back streams provided by
 vdr-plugin-xineliboutput.

Package: libxine2-xvdr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xine:Depends}, libxine2-ffmpeg
Replaces: libxine-xvdr (<< 1.0.0~rc2-5)
Provides: libxine-xvdr
Conflicts: libxine-xvdr (<< 1.0.0~rc2-5)
Description: Xine input plugin for vdr-plugin-xineliboutput streams
 This plugin adds a new mrl "xvdr://" to Xine, which allows one to play back
 streams provided by vdr-plugin-xineliboutput.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/buildtools.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
MAKE_OPTIONS += VERBOSE=1
endif

%:
	dh $@ --with vdrplugin

override_dh_auto_configure:
	./configure --disable-dbus-glib-1 '--cc=$(CC)' '--cxx=$(CXX)' '--pkg-config=$(PKG_CONFIG)'

override_dh_auto_build:
	dh_auto_build -- all $(MAKE_OPTIONS)
	txt2man -s 1 -t vdr-sxfe -v "Remote X-Server frontend for vdr-plugin-xineliboutput" debian/vdr-sxfe.1.txt >vdr-sxfe.1
	txt2man -s 1 -t vdr-fbfe -v "Remote Framebuffer frontend for vdr-plugin-xineliboutput" debian/vdr-fbfe.1.txt >vdr-fbfe.1
	txt2man -s 1 -t vdr-fbfe -v "Remote Framebuffer frontend for vdr-plugin-xineliboutput" debian/vdr-wlfe.1.txt >vdr-wlfe.1

override_dh_auto_clean:
	$(MAKE) -o .dependencies clean $(MAKE_OPTIONS)
	rm -f vdr-sxfe.1 vdr-fbfe.1

override_dh_gencontrol:
	dpkg -p libxine2-dev | sed -re '/^Version:/! d; s/^Version: (([0-9]:)?([0-9]+\.){2}[0-9]+).*$$/xine:Depends=libxine2 (>= \1)/' \
	>> debian/libxine2-xvdr.substvars
	dh_gencontrol

override_dh_auto_install:
	dh_auto_install -- $(MAKE_OPTIONS)
	install -m 644 -D debian/icon.svg debian/xineliboutput-sxfe/usr/share/icons/xineliboutput-sxfe.svg
	install -m 644 -D debian/icon.svg debian/xineliboutput-fbfe/usr/share/icons/xineliboutput-fbfe.svg
	install -m 644 -D debian/icon.svg debian/xineliboutput-wlfe/usr/share/icons/xineliboutput-wlfe.svg

override_dh_strip:
	dh_strip --dbgsym-migration='vdr-plugin-xineliboutput-dbg (<< 2.1.0+git20190511-1~)'
	dh_strip --dbgsym-migration='libxineliboutput-fbfe-dbg (<< 2.1.0+git20190511-1~)'
	dh_strip --dbgsym-migration='libxineliboutput-sxfe-dbg (<< 2.1.0+git20190511-1~)'
	dh_strip --dbgsym-migration='xineliboutput-fbfe-dbg (<< 2.1.0+git20190511-1~)'
	dh_strip --dbgsym-migration='xineliboutput-sxfe-dbg (<< 2.1.0+git20190511-1~)'
	dh_strip --dbgsym-migration='libxine2-xvdr-dbg (<< 2.1.0+git20190511-1~)'

get-vcs-snapshot:
	sh debian/get-vcs-snapshot.sh

## vdr-plugin-xineliboutput 2.3.0

=== Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# See the main source file 'xineliboutput.c' for copyright information and
# how to reach the author.
#
# $Id$
#

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.

PLUGIN = xineliboutput

_default: all

# Keep VDR Makefile happy - it requires $(LIBDIR)/.$(APIVERSION) somewhere in this file ...

# check for Apple Darwin
ARCH_APPLE_DARWIN = no
ifeq ($(shell gcc -dumpmachine | grep -q 'apple-darwin' && echo "1" || echo "0"), 1)
    ARCH_APPLE_DARWIN = yes
endif

#
# Override configuration here or in ../../../Make.config
#

#NOSIGNAL_IMAGE_FILE=/usr/share/vdr/xineliboutput/nosignal.mpv
#STARTUP_IMAGE_FILE=/usr/share/vdr/xineliboutput/logodisplay.mpv
XINELIBOUTPUT_CONFIGURE_OPTS =


###
### The version number of this plugin (taken from the main source file):
###

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | cut -d'"' -f2)


###
### The C++ compiler and options:
###

CXX      ?= g++
CC       ?= gcc 
OPTFLAGS ?= 

ifeq ($(ARCH_APPLE_DARWIN), yes)
    CXXFLAGS   ?= -O3 -pipe -Wall -Woverloaded-virtual -fPIC -g -fno-common -bundle -flat_namespace -undefined suppress
    CFLAGS     ?= -O3 -pipe -Wall -fPIC -g -fno-common -bundle -flat_namespace -undefined suppress
    LDFLAGS_SO ?= -fvisibility=hidden
else
    CXXFLAGS   ?= -O3 -pipe -Wall -Woverloaded-virtual -fPIC -g
    CFLAGS     ?= -O3 -pipe -Wall -fPIC -g
    LDFLAGS_SO ?= -fvisibility=hidden
    LDFLAGS_SO += -shared
endif

###
### The directory environment:
###

# Use package data if installed...otherwise assume we're under the VDR source directory:
PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." pkg-config --variable=$(1) vdr))
BINDIR = $(call PKGCFG,bindir)
LIBDIR = $(call PKGCFG,libdir)
LOCDIR = $(call PKGCFG,locdir)
PLGCFG = $(call PKGCFG,plgcfg)
VIDEODIR = $(call PKGCFG,videodir)

TMPDIR  ?= /tmp

INSTALL ?= install

###
### Allow user defined options to overwrite defaults:
###

-include Make.config

ifeq ($(strip $(BINDIR)),)
  BINDIR = /usr/bin
endif

###
### check for VDR
###

APIVERSION = $(call PKGCFG,apiversion)

VDR_TREE = no
ifeq ($(strip $(APIVERSION)),)
    $(warning ********************************************************)
    $(warning VDR not detected ! VDR plugins will not be compiled.    )
    $(warning ********************************************************)
    CONFIGURE_OPTS += --disable-vdr
else
    export CFLAGS   = $(call PKGCFG,cflags)
    export CXXFLAGS = $(call PKGCFG,cxxflags)

    ifeq ($(VDRDIR),)
        $(warning Building outside VDR source tree)
    else
        $(warning Building inside VDR source tree)
        VDR_TREE = yes
    endif
endif

CFLAGS += -Wextra -Wno-unused-parameter -Wmissing-prototypes -Wimplicit-function-declaration -Wshadow
CXXFLAGS += -Wextra -Wno-unused-parameter

### Allow user defined options to overwrite defaults:
-include $(PLGCFG)

#
# Silent rules falback
#
ifndef Q
ifdef VERBOSE
Q =
else
Q = @
endif
export Q
endif

###
### run configure script
###

config.mak: Makefile configure
	@echo Running configure
	@sh configure --cc="$(CC)" --cxx="$(CXX)" $(CONFIGURE_OPTS) $(XINELIBOUTPUT_CONFIGURE_OPTS)
-include config.mak

###
### The name of the distribution archive:
###

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)


###
### The name of executable and libraries
###

VDRPLUGIN            = libvdr-$(PLUGIN).so.$(APIVERSION)
VDRPLUGIN_SXFE       = lib$(PLUGIN)-sxfe.so.$(VERSION)
VDRPLUGIN_FBFE       = lib$(PLUGIN)-fbfe.so.$(VERSION)
VDRPLUGIN_WLFE       = lib$(PLUGIN)-wlfe.so.$(VERSION)
VDRSXFE              = vdr-sxfe
VDRFBFE              = vdr-fbfe
VDRWLFE              = vdr-wlfe
XINEINPUTVDR         = xineplug_inp_xvdr.so
XINEPOSTAUTOCROP     = xineplug_post_autocrop.so
XINEPOSTSWSCALE      = xineplug_post_swscale.so
XINEPOSTAUDIOCHANNEL = xineplug_post_audiochannel.so

###
### which programs and libs to build
###

TARGETS_VDR  =
TARGETS_FE   =
TARGETS_XINE =
ifeq ($(XINELIBOUTPUT_VDRPLUGIN), yes)
    TARGETS_VDR += $(VDRPLUGIN)
endif
ifeq ($(XINELIBOUTPUT_XINEPLUGIN), yes)
    TARGETS_XINE += $(XINEINPUTVDR) $(XINEPOSTAUTOCROP) $(XINEPOSTSWSCALE) $(XINEPOSTAUDIOCHANNEL)
endif
ifeq ($(XINELIBOUTPUT_X11), yes)
    TARGETS_FE += $(VDRSXFE)
    ifeq ($(XINELIBOUTPUT_VDRPLUGIN), yes)
        TARGETS_VDR += $(VDRPLUGIN_SXFE)
    endif
endif
ifeq ($(XINELIBOUTPUT_FB), yes)
    TARGETS_FE += $(VDRFBFE)
    ifeq ($(XINELIBOUTPUT_VDRPLUGIN), yes)
        TARGETS_VDR += $(VDRPLUGIN_FBFE)
    endif
endif
ifeq ($(XINELIBOUTPUT_WAYLAND), yes)
    TARGETS_FE += $(VDRWLFE)
    ifeq ($(XINELIBOUTPUT_VDRPLUGIN), yes)
        TARGETS_VDR += $(VDRPLUGIN_WLFE)
    endif
endif


###
### Includes and Defines (add further entries here):
###

ifeq ($(ARCH_APPLE_DARWIN), yes)
    INCLUDES  += -I/sw/include
    LIBDIRS   += -L/sw/lib
    LIBS      += $(LIBDIRS)
else
    LIBS      += -lrt
endif

DEFINES   += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"' \
             -D_REENTRANT -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 \
	     -DVIDEODIR='"$(VIDEODIR)"' -DXINELIBOUTPUT_VERSION='"$(VERSION)"'

ifdef NOSIGNAL_IMAGE_FILE
  DEFINES += -DNOSIGNAL_IMAGE_FILE='"$(NOSIGNAL_IMAGE_FILE)"'
endif
ifdef STARTUP_IMAGE_FILE
  DEFINES += -DSTARTUP_IMAGE_FILE='"$(STARTUP_IMAGE_FILE)"'
endif

DEFINES += $(EXTRA_DEFINES)

###
### The object files (add further files here):
###

# VDR plugin
ifeq ($(XINELIBOUTPUT_VDRPLUGIN), yes)
OBJS = $(PLUGIN).o device.o frontend.o osd.o config.o menu.o setup_menu.o \
       menuitems.o media_player.o equalizer.o \
       frontend_local.o frontend_svr.o tools/avahi.o \
       tools/cxsocket.o tools/udp_pes_scheduler.o \
       tools/backgroundwriter.o tools/playlist.o tools/http.o \
       tools/time_pts.o tools.o \
       tools/metainfo_menu.o logdefs.o tools/rle.o \
       tools/sys_cap.o tools/sap.o tools/sdp.o
OBJS_MPG = black_720x576.o nosignal_720x576.o vdrlogo_720x576.o
endif

# frontends
OBJS_FE_SO = xine_frontend.o logdefs.o \
             xine/post.o xine/vo_hook.o xine/vo_osdscaler.o xine/vo_osdreorder.o xine/vo_lastpts.o \
             xine/vo_frameoutput.o \
             tools/rle.o
OBJS_FE    = $(OBJS_FE_SO) \
             xine_frontend_main.o \
             xine_frontend_lirc.o xine_frontend_kbd.o xine_frontend_cec.o \
             tools/vdrdiscovery.o
OBJS_SXFE_SO = xine_sxfe_frontend.o $(OBJS_FE_SO)
OBJS_SXFE    = xine_sxfe_frontend.o $(OBJS_FE)
OBJS_FBFE_SO = xine_fbfe_frontend.o $(OBJS_FE_SO)
OBJS_FBFE    = xine_fbfe_frontend.o $(OBJS_FE)
OBJS_WLFE_SO = xine_wlfe_frontend.o $(OBJS_FE_SO)
OBJS_WLFE    = xine_wlfe_frontend.o $(OBJS_FE)

ifneq ($(HAVE_DBUS_GLIB_1), no)
OBJS_SXFE    += tools/gnome_screensaver.o
OBJS_SXFE_SO += tools/gnome_screensaver.o
endif

# xine plugins
OBJS_XINEINPUTVDR = xine_input_vdr.o xine/demux_xvdr.o \
                    xine/ts2es.o xine/demux_xvdr_tsdata.o \
                    xine/adjustable_scr.o xine/xvdr_metronom.o xine/osd_manager.o \
                    tools/rle.o tools/ts.o tools/pes.o tools/mpeg.o tools/h264.o tools/h265.o \
                    tools/vdrdiscovery.o

OBJS_XINE = $(OBJS_XINEINPUTVDR) xine_post_autocrop.o xine_post_swscale.o xine_post_audiochannel.o

###
### Implicit rules:
###

%.o: %.c
	@echo CXX $@
	$(Q)$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $(CFLAGS_VDR) -o $@ $<


###
### Dependencies:
###

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile config.mak
	@rm -f $@
	@for i in $(OBJS:%.o=%.c) $(OBJS_SXFE:%.o=%.c) $(OBJS_FBFE:%.o=%.c) $(OBJS_WLFE:%.o=%.c) $(OBJS_XINE:%.o=%.c) ; do \
	  $(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) -MT "`dirname $$i`/`basename $$i .c`.o" $$i >>$@ ; \
	done

-include $(DEPFILE)

DEFINES += -Wall


###
### Rules:
###

mpg2c: mpg2c.c
	@echo CCLD $@
	$(Q)$(CC) $(CFLAGS) $(LDFLAGS) mpg2c.c -o $@

# data
black_720x576.c: mpg2c black_720x576.mpg
	@echo GEN $@
	$(Q)./mpg2c black black_720x576.mpg black_720x576.c
nosignal_720x576.c: mpg2c nosignal_720x576.mpg
	@echo GEN $@
	$(Q)./mpg2c nosignal nosignal_720x576.mpg nosignal_720x576.c
vdrlogo_720x576.c: mpg2c vdrlogo_720x576.mpg
	@echo GEN $@
	$(Q)./mpg2c vdrlogo vdrlogo_720x576.mpg vdrlogo_720x576.c

# C code (xine plugins and frontends)

xine_input_vdr.o: nosignal_720x576.c

$(sort $(OBJS_SXFE) $(OBJS_FBFE) $(OBJS_WLFE) $(OBJS_XINE)): %.o: %.c
	@echo CC $@
	$(Q)$(CC) $(CFLAGS) -c $(DEFINES) $(INCLUDES) $(CFLAGS_X11) $(CFLAGS_WAYLAND) $(CFLAGS_AVUTIL) $(OPTFLAGS) -o $@ $<

### Internationalization (I18N):
PODIR     = po
ifeq ($(XINELIBOUTPUT_VDRPLUGIN), yes)
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
I18Nmsgs  = $(addprefix $(DESTDIR)$(LOCDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot   = $(PODIR)/$(PLUGIN).pot

%.mo: %.po
	@echo MO $@
	$(Q)msgfmt -c -o $@ $<

$(I18Npot): $(wildcard *.c)
	@echo GT $@
	$(Q)xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) --msgid-bugs-address='<phintuka@users.sourceforge.net>' -o $@ `ls $^`

%.po: $(I18Npot)
	@echo PO $@
	$(Q)msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
	@touch $@

$(I18Nmsgs): $(DESTDIR)$(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
	@echo INSTALL $^
	@install -D -m644 $< $@
endif

.PHONY: i18n
i18n: $(I18Nmo) $(I18Npot)

install-i18n: $(I18Nmsgs)

###
### targets
###

XINELIBOUTPUT_INSTALL_MSG =  \
	    $(warning *********************** xineliboutput ***************************) \
	    $(warning  Xine plugins and frontends will not be installed automatically. ) \
	    $(warning  To install files execute "make install" in                      ) \
	    $(warning  $(shell echo `pwd`)) \
	    $(warning *****************************************************************)

install : XINELIBOUTPUT_INSTALL_MSG =

.PHONY: all
all: config $(TARGETS_VDR) frontends i18n

frontends: config $(TARGETS_FE) $(TARGETS_XINE)
	$(XINELIBOUTPUT_INSTALL_MSG)

config: config.mak

.PHONY: config 

.PHONY: frontends install dist clean

#
# VDR plugin
#

$(VDRPLUGIN): $(OBJS) $(OBJS_MPG)
	@echo LD $@
	$(Q)$(CXX) $(CXXFLAGS) $(LDFLAGS_SO) $(LDFLAGS) -shared $(OBJS) $(OBJS_MPG) $(LIBS) $(LIBS_VDR) -o $@
ifeq ($(VDR_TREE), yes)
	$(INSTALL) $@ $(LIBDIR)/
endif

install-lib: $(TARGETS_VDR)
ifeq ($(XINELIBOUTPUT_VDRPLUGIN), yes)
	@echo INSTALL $^
	@mkdir -p $(DESTDIR)$(LIBDIR)
	install -D $^ $(DESTDIR)$(LIBDIR)/
endif

install: install-lib install-i18n

#
# vdr-sxfe
#

$(VDRPLUGIN_SXFE): $(OBJS_SXFE_SO)
	@echo LD $@
	$(Q)$(CC) $(CFLAGS) $(LDFLAGS_SO) $(LDFLAGS) $(OBJS_SXFE_SO) $(LIBS_X11) $(LIBS_XINE) $(LIBS_JPEG) -o $@
ifeq ($(VDR_TREE), yes)
	$(INSTALL) $@ $(LIBDIR)/
endif
$(VDRSXFE): $(OBJS_SXFE)
	@echo LD $@
	$(Q)$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_SXFE) $(LIBS_X11) $(LIBS_XINE) $(LIBS_JPEG) $(LIBS_CEC) $(LIBS_PTHREAD) -o $@

#
# vdr-wlfe
#

$(VDRPLUGIN_WLFE): $(OBJS_WLFE_SO)
	@echo LD $@
	$(Q)$(CC) $(CFLAGS) $(LDFLAGS_SO) $(LDFLAGS) $(OBJS_WLFE_SO) $(LIBS_WAYLAND) $(LIBS_XINE) $(LIBS_JPEG) -o $@
ifeq ($(VDR_TREE), yes)
	$(INSTALL) $@ $(LIBDIR)/
endif
$(VDRWLFE): $(OBJS_WLFE)
	@echo LD $@
	$(Q)$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_WLFE) $(LIBS_WAYLAND) $(LIBS_XINE) $(LIBS_JPEG) $(LIBS_CEC) $(LIBS_PTHREAD) -o $@

#
# vdr-fbfe
#

$(VDRPLUGIN_FBFE): $(OBJS_FBFE_SO)
	@echo LD $@
	$(Q)$(CC) $(CFLAGS) $(LDFLAGS_SO) $(LDFLAGS) $(OBJS_FBFE_SO) $(LIBS_XINE) $(LIBS_JPEG) -o $@
ifeq ($(VDR_TREE), yes)
	$(INSTALL) $@ $(LIBDIR)/
endif
$(VDRFBFE): $(OBJS_FBFE)
	@echo LD $@
	$(Q)$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_FBFE) $(LIBS_XINE) $(LIBS_JPEG) $(LIBS_CEC) $(LIBS_PTHREAD) -o $@

#
# xine plugins
#

$(XINEINPUTVDR): $(OBJS_XINEINPUTVDR)
	@echo LD $@
	$(Q)$(CC) $(CFLAGS) $(LDFLAGS_SO) $(LDFLAGS) $(OBJS_XINEINPUTVDR) $(LIBS_XINE) $(LIBS_AVUTIL) $(LIBS_PTHREAD) -o $@

=== debian/changelog ===
vdr-plugin-xineliboutput (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0
  * include myself in uploaders
  * replace build-depends pkg-config with pkgconf
  * remove vdr-wlfe.1 in clean target (closes: #1048727)

 -- Christoph Martin <chrism@debian.org>  Mon, 10 Feb 2025 19:33:11 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: video
 Priority: optional
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
-Uploaders: Tobias Grimm <etobi@debian.org>
-Build-Depends: debhelper-compat (= 13), gettext, pkg-config, txt2man,
+Uploaders: Tobias Grimm <etobi@debian.org>,
+ Christoph Martin <chrism@debian.org>
+Build-Depends: debhelper-compat (= 13), gettext, pkgconf, txt2man,
  vdr-dev (>= 2.6.0),
  x11proto-core-dev,
  libxine2-dev,
@@ -54,8 +55,6 @@
 Package: xineliboutput-fbfe
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libxine2-xvdr (= ${binary:Version}), libxine2-console
-Breaks: xineliboutput-sxfe (<< 2.2.0+git20211212-2.1)
-Replaces: xineliboutput-sxfe (<< 2.2.0+git20211212-2.1)
 Description: Remote Framebuffer frontend for vdr-plugin-xineliboutput
  This frambuffer remote frontend plays back streams provided by
  vdr-plugin-xineliboutput.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-include /usr/share/dpkg/buildtools.mk
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -13,7 +11,7 @@
 	dh $@ --with vdrplugin
 
 override_dh_auto_configure:
-	./configure --disable-dbus-glib-1 '--cc=$(CC)' '--cxx=$(CXX)' '--pkg-config=$(PKG_CONFIG)'
+	./configure --disable-dbus-glib-1
 
 override_dh_auto_build:
 	dh_auto_build -- all $(MAKE_OPTIONS)
@@ -23,7 +21,7 @@
 
 override_dh_auto_clean:
 	$(MAKE) -o .dependencies clean $(MAKE_OPTIONS)
-	rm -f vdr-sxfe.1 vdr-fbfe.1
+	rm -f vdr-sxfe.1 vdr-fbfe.1 vdr-wlfe.1
 
 override_dh_gencontrol:
 	dpkg -p libxine2-dev | sed -re '/^Version:/! d; s/^Version: (([0-9]:)?([0-9]+\.){2}[0-9]+).*$$/xine:Depends=libxine2 (>= \1)/' \
@@ -33,8 +31,8 @@
 override_dh_auto_install:
 	dh_auto_install -- $(MAKE_OPTIONS)
 	install -m 644 -D debian/icon.svg debian/xineliboutput-sxfe/usr/share/icons/xineliboutput-sxfe.svg
-	install -m 644 -D debian/icon.svg debian/xineliboutput-fbfe/usr/share/icons/xineliboutput-fbfe.svg
-	install -m 644 -D debian/icon.svg debian/xineliboutput-wlfe/usr/share/icons/xineliboutput-wlfe.svg
+	install -m 644 -D debian/icon.svg debian/xineliboutput-sxfe/usr/share/icons/xineliboutput-fbfe.svg
+	install -m 644 -D debian/icon.svg debian/xineliboutput-sxfe/usr/share/icons/xineliboutput-wlfe.svg
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='vdr-plugin-xineliboutput-dbg (<< 2.1.0+git20190511-1~)'
